#
# spec file for package python-fontPens
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python3-%{**}}
%define skip_python2 1
%define skip_python36 1
Name:           python-fontPens
Version:        0.2.4
Release:        5.8
Summary:        A collection of classes implementing the pen protocol for manipulating glyphs
License:        BSD-3-Clause
URL:            https://github.com/robotools/fontPens
Source:         https://files.pythonhosted.org/packages/source/f/fontPens/fontPens-%{version}.zip
Patch0:         fix-fp-issue.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-FontTools >= 3.32.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module FontTools >= 3.32.0}
BuildRequires:  %{python_module fontParts >= 0.8.1}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
A collection of classes implementing the pen protocol for manipulating glyphs.

%prep
%setup -q -n fontPens-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/fontPens
%{python_sitelib}/fontPens-%{version}*-info

%changelog
* Thu Dec 16 2021 Ben Greiner <code@bnavigator.de>
- Drop python36 for good: FontTools dropped support
* Tue Mar 23 2021 Benjamin Greiner <code@bnavigator.de>
- reinstate python36 build (python36-FontTools is available)
- skip python2 build for Leap
* Sat Feb 13 2021 Dirk Müller <dmueller@suse.com>
- skip python 3.6 (no FontTools as it needs scipy)
* Fri Jun 12 2020 Antonio Larrosa <alarrosa@suse.com>
- Add patch to fix floating point precission issue that made tests
  fail depending on where the package is built
  * fix-fp-issue.patch
* Wed May 20 2020 Antonio Larrosa <alarrosa@suse.com>
- Initial release of python-fontPens
